import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Notice } from "smoothly";
import { Order } from "@payfunc/model";
import "../orders-table-row";
export declare class IntergiroOrdersActions {
  element: HTMLElement;
  t: langly.Translate;
  selected: {
    [id: string]: Order | undefined;
  };
  notice: EventEmitter<Notice>;
  selectedChanged: EventEmitter<{
    [id: string]: Order | undefined;
  }>;
  updateOrder: EventEmitter;
  componentWillLoad(): void;
  handleTrigger(event: CustomEvent<{
    name: string;
  }>): Promise<void>;
  getMessages(action: string): string[];
  render(): any;
}
